import { createApp } from 'vue'
import { createPinia } from 'pinia'
import http from '@/plugins/http'

import App from './App.vue'
import router from './router'

import './styles/tailwind.css'
import './styles/fonts.less'
import vant from 'vant'
import 'vant/lib/index.css'
import './styles/common.less'
import { Locale } from 'vant'
import zhTW from 'vant/es/locale/lang/zh-TW'
Locale.use('zh-TW', zhTW)
import i18n from './locales'

const app = createApp(App)

app.use(createPinia())
app.use(router)
app.use(vant)
app.use(http)

app.use(i18n)

app.mount('#app')
